./chat/znc, Advanced IRC bouncer with IPv6 and SSL support

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.7.5, Package name: znc-1.7.5, Maintainer: nia

ZNC is an advanced IRC bouncer with IPv6 and SSL support.

MESSAGE.rcd [+/-]

Required to run:
[textproc/icu] [devel/boost-libs]

Required to build:
[devel/boost-headers] [pkgtools/cwrappers]

Package options: inet6, nls

Master sites:

SHA1: 15a8f9552fd76c09ad3a1336fee7bc50411177e4
RMD160: cb71f63ffdde9e76817fdc3b65abe74ea8494478
Filesize: 2119.781 KB

Version history: (Expand)


CVS history: (Expand)


   2019-10-02 13:14:42 by Nia Alarie | Files touched by this commit (1)
Log message:
znc: Needs -lsocket -lnsl
   2019-10-01 15:49:58 by Nia Alarie | Files touched by this commit (5) | Package updated
Log message:
znc: Update to 1.7.5.

pkgsrc changes:

- Switched to cmake.

Upstream changes:

- modpython: Add support for Python 3.8
- modtcl: install .tcl files when building with CMake
- nickserv: report success of Clear commands
- Update translations, add Italian, Bulgarian, fix name of Dutch
- Update error messages to be clearer
- Add a deprecation warning to ./configure to use CMake instead in addition to \ 
an already existing warning in README
   2019-08-11 15:25:21 by Thomas Klausner | Files touched by this commit (3557) | Package updated
Log message:
Bump PKGREVISIONs for perl 5.30.0
   2019-06-22 16:17:45 by Nia Alarie | Files touched by this commit (2)
Log message:
znc: Move MESSAGE to MESSAGE.rcd
   2019-06-22 11:31:01 by Nia Alarie | Files touched by this commit (4) | Package updated
Log message:
znc: Update to 1.7.4

Changes:

* Local patch for CVE-2019-12816 removed due to presence in release
* Send "Connected!" messages to client to the correct nick (#1665)
   2019-06-18 17:19:20 by Nia Alarie | Files touched by this commit (1)
Log message:
znc: Rename sasl option to sasl-cyrus.

This option is somewhat confusing currently. This does /not/ control
support for logging in to IRC servers using SASL, which happily works
without the dependency.
   2019-06-18 12:21:37 by Nia Alarie | Files touched by this commit (4)
Log message:
znc: Fix CVE-2019-12816

This is an remote code execution and privilege escalation vulnerability.

It requires an already-existing unprivileged ZNC user.

This is znc-1.7.3nb2.
   2019-04-03 02:33:20 by Ryo ONODERA | Files touched by this commit (748)
Log message:
Recursive revbump from textproc/icu